Subject: Re: trivial designated initializers

From: Melanie Plageman <[email-masked]>
Date: Wed, 28 Jan 2026 10:27:45 -0500

On Wed, Jan 28, 2026 at 7:21 AM Álvaro Herrera <[email-masked]> wrote:
>
> We use C99 designated struct initializers in many places, but for some
> reason we don't do it in the tupleLockExtraInfo array in heapam.c nor in
> InternalBGWorkers array in bgworker.c.  I've had this trivial patch
> rotting in a worktree for a long time.  Any opposition to this change?

I find these much easier to understand with the designated
initializers (and I am a big fan of designated initializers in
general). So +1

- Melanie

---

From: Jelte Fennema-Nio <[email-masked]>
Date: Wed, 28 Jan 2026 23:48:34 +0100

> initializers (and I am a big fan of designated initializers in

yes, +1